본문 바로가기
카테고리 없음

KCP 연동모듈 호출 오류

by 씨엔아이소프트 2019. 10. 21.
반응형

KCP 전자 결제 연동모듈 호출 오류는 

KCP 연동 모듈  pp_cli 파일이 32비트 프로그램으로 호환이 안되거나,

실행권한이 없을 때 오류가 발생합니다.

 

FTP 업로드시 바이너리 방식으로 업로드 해야하며, 권한은 755 으로 주어야 합니다.

 

서버가 64bit 파일인경우는 pp_cli를 64bit 파일로 교체를 해야합니다.

 

간단한 테스트

[root@server bin]# ./pp_cli 
-bash: ./pp_cli: /lib/ld-linux.so.2: bad ELF interpreter: 그런 파일이나 디렉터리가 없습니다

 

이런 오류는 64bit 서버에서 프로그램이 32bit 용일때 발생합니다.

 

 

 

반응형

댓글0